メインコンテンツへスキップ
PUT
/
crm
/
v3
/
lists
/
folders
/
{folderId}
/
rename
フォルダーの名前を変更
curl --request PUT \
  --url https://api.hubapi.com/crm/v3/lists/folders/{folderId}/rename \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/lists/folders/{folderId}/rename"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/lists/folders/{folderId}/rename', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "folder": {
    "childLists": [
      123
    ],
    "childNodes": "<array>",
    "id": "<string>",
    "parentFolderId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedContentsAt": "2023-11-07T05:31:56Z",
    "userId": 123
  }
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

folderId
string
必須

名前を変更するフォルダーのID

クエリパラメータ

newFolderName
string

フォルダーの新しい名前。

レスポンス

successful operation

folder
object
必須
最終更新日 2026年4月10日